<template lang="pug">
  .unread.ph3.pv4.mw9.center
    .ph3
      chat-stats(:chats="chats")
    transition-group.ph2.flex.flex-column.flex-row-l.flex-wrap.items-stretch.mv4(name="unread__list")
      .unread__member.w-100.w-third-l.ph2.mb3(v-for="chat in chats" :key="chat.channelId")
        member-chat(:memberchat="chat" @read="loadUnread")
</template>
<script>
import api from '~/utils/api'
import MemberChat from '~/components/MemberChat'
import ChatStats from '~/components/ChatStats'

export default {
  components: {
    ChatStats,
    MemberChat
  },
  layout: 'private',
  data () {
    return {
      chats: []
    }
  },
  async created () {
    await this.loadUnread()
  },
  methods: {
    async loadUnread () {
      const chats = await api.chat.find({ isRead: false })
      this.chats = chats.filter(chat => !!chat.booking)
    }
  }
}
</script>
<style lang="scss" scoped>
.unread {
  &__member {
    min-width: 24rem;
    transition: all 200ms;
  }

  &__list {
    &-enter,
    &-leave-to {
      opacity: 0;
      transform: translateY(-10px);
    }
    &-leave-active {
      position: absolute;
    }
  }
}

</style>
